﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.IO;
using Syncfusion.EJ2.PdfViewer;

namespace linuxpdf
{
    class Program
    {
        static void Main(string[] args)
        {
            Console.WriteLine("Start to convert pdf to image");
            PdfRenderer pdf = new PdfRenderer();
            PdfRenderer.ReferencePath = "/usr/lib/";
            pdf.Load("input.pdf");
            // get current size
            Bitmap org = pdf.ExportAsImage(0);
            Size orgSize = org.Size;
            // double up the size
            Bitmap bitmapToPng = pdf.ExportAsImage(0, new SizeF(orgSize.Width * 2, orgSize.Height * 2), true);
            bitmapToPng.Save("output.png");
        }
    }
}
